## cl-lml 2.5.2.1

=== doc/Makefile ===
.PHONY: site all clean

all: site

site: 
	lisp -init `pwd`/make.lisp

clean:
	@rm -f *~ \#*\# .\#* memdump

## cl-lml 2.5.7

=== doc/Makefile ===
.PHONY: site all clean

all: site

site: 
	sbcl --load `pwd`/make.lisp

clean:
	@rm -f *~ \#*\# .\#* memdump

=== debian/changelog ===
cl-lml (2.5.7-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (Closes: #1073015).
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Wed, 05 Mar 2025 11:41:20 +0000

cl-lml (2.5.7-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999045).

 -- Marcos Talau <talau@debian.org>  Tue, 01 Nov 2022 23:14:05 -0300

cl-lml (2.5.7-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild to remove dependency on common-lisp-controller.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 18 Sep 2019 12:35:08 +0200

cl-lml (2.5.7-4) unstable; urgency=low

  * Add doc-base file
  * Update standards-version (no changes needed)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Nov 2009 09:11:31 -0700

cl-lml (2.5.7-3) unstable; urgency=low

  * Build with debhelper extension dh-lisp
  * control: Add Vcs-Browser field. Fix Depends field.

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 03 Aug 2009 14:16:12 -0600

cl-lml (2.5.7-2) unstable; urgency=low

  * debian/watch: New file
  * debian/control: Require debhelper 7. Change to new lisp section.
  Add Vcs-Git and Homepage fields.
  * debian/compat: Update to version 7
  * debian/rules: Update for debhelper 7, architecture-independent build
  * debian/{prerm,postrm}: Remove path from binary function

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 03:17:51 -0600

cl-lml (2.5.7-1) unstable; urgency=low

  * Change default encoding and xhtml level

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 03:17:48 -0600

cl-lml (2.5.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  6 Sep 2007 00:02:13 -0600

cl-lml (2.5.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 05 Sep 2007 22:13:16 -0600

cl-lml (2.5.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  6 Nov 2006 23:29:29 -0700

cl-lml (2.5.3-2) unstable; urgency=low

  * New upstream URI

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 15:44:16 -0600

cl-lml (2.5.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 28 Jan 2005 19:08:44 -0700

cl-lml (2.5.2.1-1) unstable; urgency=low

  * Update description (closes:209608)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 10 Sep 2003 00:15:25 -0600

cl-lml (2.5.2-1) unstable; urgency=low

  * Fix xhtml document type

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Jun 2003 23:52:59 -0600

cl-lml (2.5.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Jun 2003 06:19:40 -0600

cl-lml (2.5.0-1) unstable; urgency=low

  * Add test suite
  * Improvements in downloads.lisp
  * Added more XHTML tags

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Jun 2003 06:13:08 -0600

cl-lml (2.4.1-1) unstable; urgency=low

  * New upstream, export *print-spaces*.xs

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 23 May 2003 09:39:28 -0600

cl-lml (2.4.0-1) unstable; urgency=low

  * Move read-macro to it's own file.

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 18 Apr 2003 21:47:19 -0600

cl-lml (2.3.4-1) unstable; urgency=low

  * Minor upstream change

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 22 Mar 2003 23:30:29 -0700

cl-lml (2.3.3-1) unstable; urgency=low

  * New upstream [fixes mcl issue]

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 12 Mar 2003 10:01:25 -0700

cl-lml (2.3.2-1) unstable; urgency=low

  * Fix typo in lml-write-char

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  4 Mar 2003 21:24:53 -0700

cl-lml (2.3.1-1) unstable; urgency=low

  * doc/readme.lml: Update with new meta arguents

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 17 Feb 2003 00:04:52 -0700

cl-lml (2.3.0-1) unstable; urgency=low

  * Change definition of link/meta 

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 16 Feb 2003 23:46:37 -0700

cl-lml (2.2.4-1) unstable; urgency=low

  * Move XHTML to version 1.1

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 10 Feb 2003 12:49:10 -0700

cl-lml (2.2.3-1) unstable; urgency=low

  * Add missing space character to output
  * Fix bug in img macro

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  6 Feb 2003 21:20:06 -0700

cl-lml (2.2.2-1) unstable; urgency=low

  * Rename link to alink and add new link macro that produces a <link ...></link>

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  6 Feb 2003 19:36:42 -0700

cl-lml (2.2.1-1) unstable; urgency=low

  * Upstream change

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  6 Feb 2003 16:25:29 -0700

cl-lml (2.2.0-1) unstable; urgency=low

  * downloads.lisp: Change from FTP to more general Download term to better 
  handle HTTP downloads.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Feb 2003 17:15:27 -0700

cl-lml (2.1.3-1) unstable; urgency=low

  * New upstream: Add th and textarea

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 26 Jan 2003 14:35:20 -0700

cl-lml (2.1.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 24 Jan 2003 01:51:53 -0700

cl-lml (2.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 17 Jan 2003 15:13:42 -0700

cl-lml (2.1.0-1) unstable; urgency=low

  * Rework tags that don't have endtags (such as BR and HR) to evaluate
  keyword arguments

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 14 Jan 2003 01:38:52 -0700

cl-lml (2.0.2-1) unstable; urgency=low

  * Fix with-dir to properly evaluate parameters (Thanks Matthew Danish)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 11 Jan 2003 21:02:23 -0700

cl-lml (2.0.1-1) unstable; urgency=low

  * Quote class for link-c

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  4 Jan 2003 13:40:55 -0700

cl-lml (2.0.0-1) unstable; urgency=low

  * Major change: keyword parameters are now evaluated in the lexical environment.



=== debian/control ===
Source: cl-lml
Section: lisp
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends-Indep: dh-lisp
Build-Depends: debhelper (>> 7.0.0)
Standards-Version: 3.8.3.0
Homepage: http://lml.b9.com/
Vcs-Git: git://git.b9.com/lml.git
Vcs-Browser: http://git.b9.com/?p=lml.git

Package: cl-lml
Architecture: all
Depends: ${misc:Depends}
Description: Lisp Markup Language
 LML provides a markup language for generation XHTML web pages. It is
 a different syntax than cl-lml2 which some people like better.
 In general, though, cl-lml2 is 
 faster at compiling and generating XHTML than this package.

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= lml
debpkg  	:= cl-lml

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)


build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install lml.asd $(clc-files)
	dh_install *.lisp $(clc-files)

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs doc/*.html
	dh_installexamples doc/Makefile doc/make.lisp doc/*.lml
	dh_installchangelogs
	dh_lisp
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://files.b9.com/lml/lml-([\d\.]*)\.tar\.gz
